{% extends 'base.html.twig' %}

{% block body %}
    <h1>Articles list</h1>

    <table>
        <thead>
            <tr>
                <th>Id</th>
                <th>Titre</th>
                <th>Text</th>
                <th>Auteur</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for article in articles %}
            <tr>
                <td><a href="{{ path('articles_show', { 'id': article.id }) }}">{{ article.id }}</a></td>
                <td>{{ article.titre }}</td>
                <td>{{ article.text |raw}}</td>
                <td>{{ article.auteur }}</td>
                <td>
                    <ul>
                        <li>
                            <a href="{{ path('articles_show', { 'id': article.id }) }}">show</a>
                        </li>
                        <li>
                            <a href="{{ path('articles_edit', { 'id': article.id }) }}">edit</a>
                        </li>
                    </ul>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <ul>
        <li>
            <a href="{{ path('articles_new') }}">Create a new article</a>
        </li>
    </ul>
{% endblock %}
